$ErrorActionPreference = 'Stop';

$packageName= 'invantive-data-loader'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Data%20Loader-1.0.1-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Data%20Loader-1.0.1-BETA.msi'
  softwareName = 'Invantive Data Loader'
  checksum = 'B3DB9C71B5B8B580F400A9D0460C4FDA0C415AA0B5D9F8B8E7A14AB1F7A16BCE'
  checksumType = 'sha256'
  checksum64 = 'B3DB9C71B5B8B580F400A9D0460C4FDA0C415AA0B5D9F8B8E7A14AB1F7A16BCE'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-data-loader-1.0.1-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
